import Config

config :ha_handler,
	http_port: 4040,
	acme_challenge_path: "acme-challenge",
	haproxy_socket: System.get_env("HAPROXY_SOCKET") || "/var/run/haproxy.sock",
	handler_instances: [
		:"ha_handler@fenschel",
		:"ha_handler2@fenschel"
	],
	pgsql_instances: [
		[
			hostname: "pgsql.lnth.ch.recycled.cloud",
			username: "postgres",
			database: "postgres",
			haproxy_server: "lnth",
			password: "secret",
			socket_options: [:inet6],
			ssl: true
		],
		[
			hostname: "pgsql.fvil.ch.recycled.cloud",
			haproxy_server: "fvil",
			username: "postgres",
			database: "postgres",
			password: "secret",
			socket_options: [:inet6],
			ssl: true
		]
	],
	drbd_instances: [
		[
			hostname: "drbd.lnth.ch.recycled.cloud",
			password: "secret",
			haproxy_server: "lnth"
		],
		[
			hostname: "drbd.fvil.ch.recycled.cloud",
			password: "secret",
			haproxy_server: "fvil"
		]
	]

config :appsignal, :config,
	active: false,
	otp_app: :ha_handler,
	name: "ha-handler",
	push_api_key: "secret",
	env: config_env()
