defmodule HAHandler.MixProject do
  use Mix.Project

  def project do
    [
      app: :ha_handler,
      version: "0.4.0",
      elixir: "~> 1.12",
      start_permanent: Mix.env() == :prod,
      deps: deps(),
      releases: releases()
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger],
      mod: {HAHandler.Application, []}
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:plug, "~> 1.12"},
      {:plug_cowboy, "~> 2.5"},
      {:replug, "~> 0.1.0"},
      {:procket, "~> 0.9"},
      {:poison, "~> 5.0"},
      {:postgrex, "~> 0.16.1"},
      {:sshex, "~> 2.2.1"},
      {:appsignal, "~> 2.0"}
    ]
  end

  # See https://hexdocs.pm/mix/Mix.Tasks.Release.html for details.
  defp releases do
    [
      ha_handler: [
        include_executables_for: [:unix],
        applications: [runtime_tools: :permanent],
        include_erts: true,
        config_providers: [
          {Config.Reader, {:system, "HA_HANDLER_CONFIG_DIR", "config.exs"}}
        ]
      ]
    ]
  end
end
